# Uses of Interface
org.eclipse.gef.mvc.fx.domain.IDomain

Packages that use IDomain
Package
Description
org.eclipse.gef.mvc.fx.domain
This package contains a JavaFX-specific `IDomain` implementation: `HistoricizingDomain`.
org.eclipse.gef.mvc.fx.parts
This package contains all JavaFX-specific `IContentPart`, `IVisualPart`, `IFeedbackPart`, and `IHandlePart` implementations and related classes.
org.eclipse.gef.mvc.fx.ui.parts
This package contains specific Eclipse `ViewPart` and `EditorPart` implementations which wrap an `FXCanvas`.
org.eclipse.gef.mvc.fx.viewer
This package contains a JavaFX-specific `IViewer` implementation: `InfiniteCanvasViewer`.

## Uses of IDomain in org.eclipse.gef.mvc.fx.domain

Classes in org.eclipse.gef.mvc.fx.domain that implement IDomain
Modifier and Type
Class
Description
`class`
`HistoricizingDomain`
The `HistoricizingDomain` is an `IDomain` that uses an `IOperationHistory` for executing `ITransactionalOperations`.

## Uses of IDomain in org.eclipse.gef.mvc.fx.parts

Methods in org.eclipse.gef.mvc.fx.parts with parameters of type IDomain
Modifier and Type
Method
Description
`static IViewer`
PartUtils.`retrieveViewer(IDomain domain, Node target)`
Returns the `IViewer` of the given `IDomain` in which the given `Node` is contained, or `null` if the given `Node` is not contained within an `IViewer` of the given `IDomain`.

## Uses of IDomain in org.eclipse.gef.mvc.fx.ui.parts

Methods in org.eclipse.gef.mvc.fx.ui.parts that return IDomain
Modifier and Type
Method
Description
`IDomain`
AbstractFXEditor.`getDomain()`
Returns the `IDomain` that was previously injected into this editor.
`IDomain`
AbstractFXView.`getDomain()`
Returns the `IDomain` that was previously injected.

## Uses of IDomain in org.eclipse.gef.mvc.fx.viewer

Methods in org.eclipse.gef.mvc.fx.viewer that return IDomain
Modifier and Type
Method
Description
`IDomain`
InfiniteCanvasViewer.`getAdaptable()`
Gets the value of the property adaptable.
`IDomain`
InfiniteCanvasViewer.`getDomain()`
`IDomain`
IViewer.`getDomain()`
Returns the `IDomain` this `IViewer` is bound to.
Methods in org.eclipse.gef.mvc.fx.viewer that return types with arguments of type IDomain
Modifier and Type
Method
Description
`ReadOnlyObjectProperty<IDomain>`
InfiniteCanvasViewer.`adaptableProperty()`
Methods in org.eclipse.gef.mvc.fx.viewer with parameters of type IDomain
Modifier and Type
Method
Description
`void`
InfiniteCanvasViewer.`setAdaptable(IDomain domain)`
Sets the value of the property adaptable.